﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace howto_rtf_subscripts
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            rchEquation.Text = "2H2 + O2 = 2H2O\n32 + 42 = 52";

            // A smaller font.
            float font_size = rchEquation.Font.Size;
            Font small_font = new Font(
                rchEquation.Font.FontFamily,
                font_size * 0.75f);

            // Subscripts.
            int[] subs = { 2, 7, 13 };
            int offset = (int)(font_size * 0.5);
            foreach (int position in subs)
            {
                rchEquation.Select(position, 1);
                rchEquation.SelectionCharOffset = -offset;
                rchEquation.SelectionFont = small_font;
            }

            // Superscripts.
            int[] supers = { 17, 22, 27 };
            foreach (int position in supers)
            {
                rchEquation.Select(position, 1);
                rchEquation.SelectionCharOffset = +offset;
                rchEquation.SelectionFont = small_font;
            }

            // Center.
            rchEquation.Select(0, rchEquation.Text.Length);
            rchEquation.SelectionAlignment = HorizontalAlignment.Center;

            rchEquation.Select(0, 0);
        }
    }
}
